/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Container Types
 */
public enum EnumCV_ContainerTypes {

	//Container Types - CID 8101
	TISSUE_CASSETTE_A_0101E("A-0101E"),
	TISSUE_MICROARRAY_CASSETTE_A_01022("A-01022"),
	SPECIMEN_VIAL_A_01024("A-01024"),
	MICROSCOPE_SLIDE_A_0101B("A-0101B"),
	SPECIMEN_CONTAINER_A_01023("A-01023"),
	ELECTRON_MICROSCOPY_GRID_A_01021("A-01021"),
	SPECIMEN_WELL_A_01025("A-01025");

	private String value;

	EnumCV_ContainerTypes(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
